Name: g-wrap
Version: 1.9.6
Release: alt4

Summary: A utility for automatically generating glue code to export C libraries to Guile Scheme and RScheme
Summary(ru_RU.KOI8-R):     glue   C-  Guile Scheme  RScheme

License: LGPL
URL: http://www.nongnu.org/g-wrap/
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>


Source: http://savannah.nongnu.org/download/g-wrap/%name-%version.tar.bz2
Patch: %name-%version.patch

Requires: lib%name = %version-%release
BuildConflicts: lib%name %name

%def_disable static

BuildRequires: gcc-c++ guile16-devel glib2-devel indent libffi-devel libltdl-devel linux-libc-headers
# do not build with guile18-devel due gnucash :(

%description
g-wrap is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%description -l ru_RU.KOI8-R
g-wrap -     ,   
       Scheme,  
   (  C)    ,
 ,  Guile  RScheme.

%package -n lib%name
Group:	Development/C
Summary: Libraries for g-wrap
Summary(ru_RU.KOI8-R):   g-wrap

%description -n lib%name
g-wrap is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%description -n lib%name -l ru_RU.KOI8-R
g-wrap -     ,   
       Scheme,  
   (  C)    ,
 ,  Guile  RScheme.

%package -n lib%name-devel
Group:	Development/C
Summary: Header files for g-wrap
Summary(ru_RU.KOI8-R):    g-wrap
Requires: lib%name = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel < %version-%release

%description -n lib%name-devel
Header files for g-wrap.

%description -n lib%name-devel -l ru_RU.KOI8-R
   g-wrap.

%package -n lib%name-devel-static
Group:	Development/C
Summary: Static files for g-wrap
Summary(ru_RU.KOI8-R):    g-wrap
Requires: lib%name-devel = %version-%release
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static < %version-%release

%description -n lib%name-devel-static
Static libraries for g-wrap.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
   g-wrap.

%prep
%setup -q
%patch
#%__subst -p 's,toolexeclibdir=\$toolexeclibdir/\$multi_os_directory,[ "$toolexeclibdir" = "\\$(libdir)" ] || &,' libffi/configure*
# assure to build with system libffi
rm -rf libffi/
%__subst "s| glib|glib-2.0|g" ./configure.ac

%build
aclocal -I m4
autoconf
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n lib%name
%_libdir/*.so.*
# NOTE: we need .so here definitely (for old style dynamic linking)
%_libdir/*.so

%files -n lib%name-devel
%_bindir/*-config
%_pkgconfigdir/*
%_includedir/*
%_datadir/guile/site/
#_datadir/aclocal/g-wrap.m4

%files
%doc AUTHORS NEWS README THANKS
%_datadir/guile/site/g-wrap/
%_datadir/guile/site/srfi/srfi-34.scm
%_datadir/guile/site/srfi/srfi-35.scm
%_datadir/guile/site/g-wrap.scm
%_infodir/*

%changelog
* Wed Oct 18 2006 Vitaly Lipatov <lav@altlinux.ru> 1.9.6-alt4
- build with glib2

* Wed Oct 18 2006 Vitaly Lipatov <lav@altlinux.ru> 1.9.6-alt3
- disable build bind for glib1
- build with system libffi (bugs #7754, #10014)
- still build with guile16 due gnucash
- change packager, update buildreqs
- fix warnings

* Fri Feb 03 2006 Dmitry V. Levin <ldv@altlinux.org> 1.9.6-alt2
- Fixed x86_64 build.

* Fri Jul 08 2005 Vitaly Lipatov <lav@altlinux.ru> 1.9.6-alt1
- NMU: new version
- spec cleanup
- use a macro for ldconfig

* Wed Jan 14 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt4
- remove COPYING.LIB from doc
- mova .so files from -devel to libg-wrap for dynamic linking purposes

* Sat Jan 03 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt3
- rebuild without *.la files
- rebuild without gnome-guile package

* Wed Sep 24 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt2
- rebuild with guile16 and slib-guile
- spec cleanup
- fix bug #3058 (move /usr/info to /usr/share/info)

* Sat Dec 14 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt1
- change License to LGPL as in sources
- update requires
- remove -Werror from Makefiles via __subst
- new version

* Fri Nov 05 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt2
- change requires
- spec cleanup

* Fri Nov 01 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt1
- new version
- spec cleanup

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.2.1-alt1
- new version

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.1.10-alt1
- new version 
 
* Wed May 29 2001 AEN <aen@logic.ru> 1.1.9-alt2
- Obsoletes: g-wrap-devel
* Tue May 29 2001 AEN <aen@logic.ru> 1.1.9-alt1
- new version
- libification
- gcc296 patch

* Sat Feb 3 2001 AEN <aen@logic.ru>
- RE adaptation
* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-3mdk
- changed prefix in configure, removed sed...

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-2mdk
- sed on g-wrap

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- new version (necessary with guile-devel 1.4)
- macroszification
- packager tag
- split into lib and devel packages

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.4-2mdk
- automatically added BuildRequires

* Sat Jul 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.9.4-1mdk
- Packaged for Mandrake need for gnucash update.

* Sat May 27 2000 Mark Horning <rip6@rip6.net>
- Created spec file
